use serde::{Deserialize, Serialize};

use super::ApiError;

#[derive(Debug, Serialize)]
pub struct RegisterReq<'a> {
    pub devicetype: &'a str,
}

#[derive(Debug, Deserialize)]
pub struct RegisterResponse {
    pub error: Option<ApiError>,
    pub success: Option<RegisterSuccess>,
}

#[derive(Debug, Deserialize)]
pub struct RegisterSuccess {
    pub username: String,
}
